/*

Can you make a openscad 3d model of a chair. focus on functional use in a doll-house.
ChatGPT
Creating a functional miniature chair for a dollhouse in OpenSCAD requires careful consideration of the scale, proportions, and design. Here's a simple example of a dollhouse chair:

*/
// Parameters

// Parameters
seat_width = 20;
seat_depth = 15;
seat_height = 25;
backrest_height = 15;
leg_radius = 1;
backrest_angle = 95;

// Chair seat
translate([0, 0, seat_height / 2])
    cube([seat_width, seat_depth, seat_height]);

// Backrest
translate([seat_width / 2, 0, seat_height + backrest_height / 2])
    rotate([90, 0, 0])
    cylinder(h = backrest_height, r1 = 0, r2 = leg_radius);

// Front legs
translate([seat_width / 4, seat_depth / 4, 0])
    cylinder(h = seat_height, r = leg_radius);

translate([-seat_width / 4, seat_depth / 4, 0])
    cylinder(h = seat_height, r = leg_radius);

// Back legs
translate([seat_width / 4, -seat_depth / 4, 0])
    cylinder(h = seat_height, r = leg_radius);

translate([-seat_width / 4, -seat_depth / 4, 0])
    cylinder(h = seat_height, r = leg_radius);

// Backrest slant
rotate([0, 0, backrest_angle])
    translate([seat_width / 2, 0, seat_height + backrest_height / 2])
    rotate([90, 0, 0])
    cylinder(h = backrest_height, r1 = 0, r2 = leg_radius);