/*
can you create an openscad 3d model for a stereotypical house?
ChatGPT
Certainly! Creating a stereotypical house model in OpenSCAD involves combining basic geometric shapes like cubes and pyramids to represent the main structure, roof, windows, and door. Here's an example script for a simple house:

*/

// House parameters
houseLength = 60;
houseWidth = 40;
houseHeight = 30;
roofHeight = 20;
doorWidth = 10;
doorHeight = 15;
windowSize = 8;

// Main house structure
translate([-houseLength/2, -houseWidth/2, 0])
    cube([houseLength, houseWidth, houseHeight]);

// Roof
translate([-houseLength/2, -houseWidth/2, houseHeight])
    rotate([0, 0, 45])
    linear_extrude(height = roofHeight)
        polygon(points=[[0, 0], [houseLength, 0], [houseLength/2, houseWidth/2]]);

// Door
translate([-doorWidth/2, -houseWidth/2, 0])
    cube([doorWidth, 1, doorHeight]);

// Window
translate([-windowSize/2, houseWidth/2, houseHeight/2])
    cube([windowSize, 1, windowSize]);

// Rear Window
translate([-windowSize/2, -houseWidth/2 - 1, houseHeight/2])
    cube([windowSize, 1, windowSize]);

// Side Window
translate([houseLength/2, -windowSize/2, houseHeight/2])
    cube([1, windowSize, windowSize]);
