/*
User
can you create an openscad 3d model of a simple stick figure? focus on anatomy.

ChatGPT
Creating a simple stick figure in OpenSCAD with a focus on basic anatomy involves using cylinders to represent the limbs and torso, and spheres for joints and the head. This model will be very simplistic, focusing on representing the basic human form in a stylized, minimalistic way.

Here's an OpenSCAD script for a basic stick figure:

*/


// Parameters
$fn = 20; // Smoothness of circles
limbRadius = 1;
bodyHeight = 40;
bodyRadius = 1.5;
armLength = 20;
legLength = 25;
headRadius = 5;

// Body
cylinder(h = bodyHeight, r = bodyRadius, center = true);

// Head
translate([0, 0, bodyHeight / 2 + headRadius])
    sphere(r = headRadius);

// Arms
for (x = [-1, 1]) {
    translate([x * bodyRadius * 2, 0, bodyHeight / 4])
        cylinder(h = armLength, r = limbRadius, center = true);
}

// Legs
for (x = [-1, 1]) {
    translate([x * bodyRadius, 0, -bodyHeight / 2 - legLength / 2])
        cylinder(h = legLength, r = limbRadius, center = true);
}